Package org.eclipse.birt.chart.model.attribute

# Interface MultiURLValues

All Superinterfaces:
  `ActionValue`, `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `MultiURLValuesImpl`

public interface MultiURLValues extends ActionValue
A representation of the model object 'Multi URL Values'. MultiURLValues extends ActionValue to devote itself to providing multiple hyperlink values for 'url_redirection' action, it enables multiple options for an 'url-redirection' action.

The following features are supported:

- `URL Values`
- `Tooltip`
- `Properties Map`

See Also:
  - `AttributePackage.getMultiURLValues()`

## Method Summary

Modifier and Type
Method
Description
`MultiURLValues`
`copyInstance()`
`org.eclipse.emf.common.util.EMap<String,String>`
`getPropertiesMap()`
Returns the value of the 'Properties Map' map.
`String`
`getTooltip()`
Returns the value of the 'Tooltip' attribute.
`org.eclipse.emf.common.util.EList<URLValue>`
`getURLValues()`
Returns the value of the 'URL Values' containment reference list.
`void`
`setTooltip(String value)`
Sets the value of the '`Tooltip`' attribute.

### Methods inherited from interface org.eclipse.birt.chart.model.attribute.ActionValue

`getLabel, setLabel`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getURLValues

org.eclipse.emf.common.util.EList<URLValue> getURLValues()
Returns the value of the 'URL Values' containment reference list. The list contents are of type `URLValue`.

If the meaning of the 'URL Values' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'URL Values' containment reference list.
See Also:
  - `AttributePackage.getMultiURLValues_URLValues()`

### getTooltip

String getTooltip()
Returns the value of the 'Tooltip' attribute.

If the meaning of the 'Tooltip' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Tooltip' attribute.
See Also:
  - `setTooltip(String)`
  - `AttributePackage.getMultiURLValues_Tooltip()`

### setTooltip

void setTooltip(String value)
Sets the value of the '`Tooltip`' attribute.

Parameters:
  `value` - the new value of the 'Tooltip' attribute.
See Also:
  - `getTooltip()`

### getPropertiesMap

org.eclipse.emf.common.util.EMap<String,String> getPropertiesMap()
Returns the value of the 'Properties Map' map. The key is of type `String`, and the value is of type `String`, The map is used to store styles properties for hyperlink menu.

Returns:
  the value of the 'Properties Map' map.
See Also:
  - `AttributePackage.getMultiURLValues_PropertiesMap()`

### copyInstance

MultiURLValues copyInstance()

Specified by:
  `copyInstance` in interface `ActionValue`
Specified by:
  `copyInstance` in interface `IChartObject`